### Method

# Gimp Drawable edit_bucket_fill

since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_edit_bucket_fill (
      GimpDrawable* drawable,
      GimpFillType fill_type,
      gdouble x,
      gdouble y
    )

#### Description [src]

Fill the area by a seed fill starting at the specified coordinates.

This procedure does a seed fill at the specified coordinates, using various parameters from the current context. In the case of merged sampling, the x and y coordinates are relative to the image’s origin; otherwise, they are relative to the drawable’s origin.

This procedure is affected by the following context setters: gimp_context_set_opacity(), gimp_context_set_paint_mode(), gimp_context_set_foreground(), gimp_context_set_background(), gimp_context_set_pattern(), gimp_context_set_sample_threshold(), gimp_context_set_sample_merged(), gimp_context_set_sample_criterion(), gimp_context_set_diagonal_neighbors(), gimp_context_set_antialias().

Available since: 2.10

#### Parameters

`fill_type`

  Type: `GimpFillType`

  The type of fill.

`x`

  Type: `gdouble`

  The x coordinate of this bucket fill’s application.

`y`

  Type: `gdouble`

  The y coordinate of this bucket fill’s application.

#### Return value

Type: `gboolean`

TRUE on success.